package org.beigesoft.filter;

/*
 * Copyright (c) 2018 Beigesoft ™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

/**
 * <p>
 * Filter numeric generic.
 * </p>
 * @param <T> numeric ttpe
 * @author Yury Demidenko
 */
public class FilterNumeric<T> extends AFilter {

  /**
   * <p>Value#1.</p>
   **/
  private T value1;

  /**
   * <p>Value#2 if used.</p>
   **/
  private T value2;

  //Simple getters and setters:
  /**
   * <p>Getter for value1.</p>
   * @return T
   **/
  public final T getValue1() {
    return this.value1;
  }

  /**
   * <p>Setter for value1.</p>
   * @param pValue1 reference
   **/
  public final void setValue1(final T pValue1) {
    this.value1 = pValue1;
  }

  /**
   * <p>Getter for value2.</p>
   * @return T
   **/
  public final T getValue2() {
    return this.value2;
  }

  /**
   * <p>Setter for value2.</p>
   * @param pValue2 reference
   **/
  public final void setValue2(final T pValue2) {
    this.value2 = pValue2;
  }
}
