package org.beigesoft.holder;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.Map;

import org.beigesoft.persistable.MatchForeign;

/**
 * <p>MatchForeign usually persistable thing, but may be not for tests
 * or other purposes.</p>
 *
 * @author Yury Demidenko
 */
public interface IHldMatchForeign {

  /**
   * <p>Get match foreign  given ID.</p>
   * @param pReqVars additional param
   * @param pId ID
   * @return match foreign
   * @throws Exception an Exception
   **/
  MatchForeign getFor(Map<String, Object> pReqVars,
    Long pId) throws Exception;
}
