package org.beigesoft.model;

/*
 * Copyright (c) 2016 Beigesoft ™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */


/**
 * <pre>
 * Period.
 * </pre>
 *
 * @author Yury Demidenko
 */
public enum EPeriod {

  /**
   * <p>Daily 0.</p>
   **/
  DAILY,

  /**
   * <p>Weekly 1.</p>
   **/
  WEEKLY,

  /**
   * <p>Biweekly 2.</p>
   **/
  BIWEEKLY,

  /**
   * <p>Monthly 3.</p>
   **/
  MONTHLY,

  /**
   * <p>Bimonthly 4.</p>
   **/
  BIMONTHLY,

  /**
   * <p>Quarterly 5.</p>
   **/
  QUARTERLY,

  /**
   * <p>Half-yeary 6.</p>
   **/
  HALF_YEARLY,

  /**
   * <p>Yearly 7.</p>
   **/
  YEARLY;
}
