package org.beigesoft.model;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

/**
 * <p>Abstraction an model that has ID and name.</p>
 *
 * @param <ID> type of ID
 * @author Yury Demidenko
 */
public interface IHasIdName<ID> extends IHasId<ID>, IHasName {

}
