package org.beigesoft.service;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.Map;

import org.beigesoft.holder.IHldMatchForeign;
import org.beigesoft.persistable.MatchForeign;

/**
 * <p>Only MatchForeign.</p>
 *
 * @author Yury Demidenko
 */
public class HldMatchForeignOnly implements IHldMatchForeign {

  /**
   * <p>Only match foreign.</p>
   **/
  private MatchForeign matchForeign;

  /**
   * <p>Get match foreign  given ID.</p>
   * @param pReqVars additional param
   * @param pId ID
   * @return match foreign
   * @throws Exception an Exception
   **/
  public final MatchForeign getFor(final Map<String, Object> pReqVars,
    final Long pId) throws Exception {
    return this.matchForeign;
  }

  //Simple getters and setters:

  /**
   * <p>Getter for matchForeign.</p>
   * @return MatchForeign
   **/
  public final MatchForeign getMatchForeign() {
    return this.matchForeign;
  }

  /**
   * <p>Setter for matchForeign.</p>
   * @param pMatchForeign reference
   **/
  public final void setMatchForeign(final MatchForeign pMatchForeign) {
    this.matchForeign = pMatchForeign;
  }
}
