package org.beigesoft.comparator;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.Comparator;
import java.io.Serializable;

import org.beigesoft.persistable.CsvColumn;

/**
 * <p>Comparator of CSV column.</p>
 *
 * @author Yury Demidenko
 */
public class CmprCsvColumn implements Comparator<CsvColumn>, Serializable {

  /**
   * <p>serialVersionUID.</p>
   **/
  static final long serialVersionUID = 497312139317812L;

  @Override
  public final int compare(final CsvColumn pCol1, final CsvColumn pCol2) {
    return pCol1.getItsIndex().compareTo(pCol2.getItsIndex());
  }
}
