package org.beigesoft.filter;

/*
 * Copyright (c) 2018 Beigesoft ™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

/**
 * <p>
 * Filter base.
 * </p>
 *
 * @author Yury Demidenko
 */
public abstract class AFilter {

  /**
   * <p>Operator.</p>
   **/
  private EFilterOperator operator;

  //Simple getters and setters:
  /**
   * <p>Getter for operator.</p>
   * @return EFilterOperator
   **/
  public final EFilterOperator getOperator() {
    return this.operator;
  }

  /**
   * <p>Setter for operator.</p>
   * @param pOperator reference
   **/
  public final void setOperator(final EFilterOperator pOperator) {
    this.operator = pOperator;
  }
}
