package org.beigesoft.model;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */


/**
 * <p>
 * CSV column type.
 * </p>
 *
 * @author Yury Demidenko
 */
public enum ECsvColumnType {

  /**
   * <p>String 0.</p>
   **/
  STRING,

  /**
   * <p>Boolean 1.</p>
   **/
  BOOLEAN,

  /**
   * <p>Integer 2.</p>
   **/
  INTEGER,

  /**
   * <p>Numeric 3 (BigDecimal).</p>
   **/
  NUMERIC,

  /**
   * <p>Date 4.</p>
   **/
  DATE,

  /**
   * <p>Long 5.</p>
   **/
  LONG,

  /**
   * <p>Double 6.</p>
   **/
  DOUBLE;
}
